Subject: RE: [nemo] RE: Closing Issue 27

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Wed, 10 Dec 2003 08:38:09 -0000

> 
> okay. made it more explicit.
> 
>     A Mobile Router MUST implement atleast one mode and MAY implement
>     both modes.
> 
> 
:)

> >>look for reference [3] all over the text. the text says the reverse
> >>tunneling must be done using RFC 2473.
> >
> >
> > Again, do you think that mean full support of 2473? I mean, ICMP
forwarding, PMTU etc... It
> does not take a lot of text to be very explicit. The current draft is
not wrong, but it is
> very implicit.
> 
> this should be clarified in the IPv6 Node requirements doc. IMO,
> RFC 2473 does not seem to have any optional sections. you have
> to implement it entirely. (?)
> 
> 
I suppose so too. I agree it's better if we are able to dereference the
node reqs.

> >>>-> useless for MRs. I suppose it's clear for you that this is a RO
feature. Is it clear
> >>
> >>enough for all?
> >>
> >>thats not correct. BUL is not an RO feature. it is needed for a
> >>mobile router because it sends binding updates to its Home Agent.
> >>
> > That's not a List. It becomes a list when you start RO.
> 
> what about when the MR has more than one HA? it becomes a list?
> 
I thought my point was clear... I try otherwise. Minimum basic Nemo MR
does not need a list. So you can not MUST it. A basic nemo MR SHOULD
support DHAAD, so I guess that implicitly it SHOULD be able to store a
list of HAs. But only one needs to be active at a given point of time.
Only one active binding is needed. There no need to support a list.

Note that in the spirit (unless I'm wrong) the list is about the various
bindings for a given CareOf, and if a MR was to support multiple
registrations, I guess it would naturally maintain multiple lists. But
this is implementation...

Pascal

---

From: Vijay Devarapalli <[email-masked]>
Date: Wed, 10 Dec 2003 10:19:29 -0800

> Only one active binding is needed. There no need to support a list.

sigh... a basic NEMO MR can have more than one Home Agent at any
time. and when a MR sends a BU to more than one node, you need
a BUL. therefore an MR MUST implement BUL.

suppose an implementor leaves out implementing the BUL. the user
of the mobile router (with no BUL) configures it with more than
one home agent. what happens then? dont tell me the implementor
also left out implementing the ability to configure the mobile
router with more than one home agent.

> bindings for a given CareOf, 

not really. from MIPv6 spec.

    Binding Update List

       This list is maintained by each mobile node.  The list has an item
       for every binding that the mobile node has or is trying to
       establish with a specific other node.  Both correspondent and home
       registrations are included in this list.

> and if a MR was to support multiple

BUL is looked up by CN/HA address. there is no BUL per CoA.

Vijay

---

From: Vijay Devarapalli <[email-masked]>
Date: Wed, 10 Dec 2003 10:19:29 -0800

Binding Update List

Vijay

---

From: Jari Arkko <[email-masked]>
Date: Wed, 10 Dec 2003 22:49:43 +0200

A couple of comments:

o I agree with Vijay that BUL needs to be a list, if not
   for multiple registrations per home address, at least for
   the possibility of multiple home addresses / home agents.

o A specification should clearly give its dependencies
   to other specifications, even if IPv6 node requirements
   perhaps mandates those other specifications.

o I think the RFC 2473 reference is already clear enough in
   the draft. However, I'm a little troubled by the lack
   of a keyword in around any of the referencing places. If
   we had that, say in 5.5, 6.4, or 6.5, then matter would even
   clearer.

o I do not think you should spend too much effort on
   optimizing the parts of MIPv6 that you need or do not
   need. Remember that CN side RO is already a SHOULD
   in the IPv6 node requirements.

--Jari

---

From: Jari Arkko <[email-masked]>
Date: Wed, 10 Dec 2003 22:49:43 +0200

A couple of comments:

--Jari

---

From: Alexandru Petrescu <[email-masked]>
Date: Wed, 10 Dec 2003 22:02:55 +0100

Jari Arkko wrote:
[...]
> o I think the RFC 2473 reference is already clear enough in the 
> draft. However, I'm a little troubled by the lack of a keyword in 
> around any of the referencing places. If we had that, say in 5.5, 
> 6.4, or 6.5, then matter would even clearer.

For example, in section 5.5 of pre02, the next to last paragraph, one
could refer to section 4.1.1 of RFC2473 (Tunnel Encapsulation Limit Option).

> o I do not think you should spend too much effort on optimizing the 
> parts of MIPv6 that you need or do not need. Remember that CN side RO
>  is already a SHOULD in the IPv6 node requirements.

I agree with this too.

Alex

---

From: Jari Arkko <[email-masked]>
Date: Wed, 10 Dec 2003 23:07:59 +0200

Alexandru Petrescu wrote:
> Jari Arkko wrote:
> [...]
> 
>> o I think the RFC 2473 reference is already clear enough in the draft. 
>> However, I'm a little troubled by the lack of a keyword in around any 
>> of the referencing places. If we had that, say in 5.5, 6.4, or 6.5, 
>> then matter would even clearer.
> 
> 

Yes. It would be even better if the whole thing i.e. reference to RFC 2473
as a whole appeared in a sentence with a 'MUST'.

--Jari

---

From: Jari Arkko <[email-masked]>
Date: Wed, 10 Dec 2003 23:07:59 +0200

--Jari

---

From: Alexandru Petrescu <[email-masked]>
Date: Wed, 10 Dec 2003 22:02:55 +0100

Jari Arkko wrote:
[...]

I agree with this too.

Alex